'\" t
.\"     Title: DROP TEXT SEARCH DICTIONARY
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "DROP TEXT SEARCH DICTIONARY" "7" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_TEXT_SEARCH_DICTIONARY \- remove a text search dictionary
.SH "SYNOPSIS"
.sp
.nf
DROP TEXT SEARCH DICTIONARY [ IF EXISTS ] \fIname\fR [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP TEXT SEARCH DICTIONARY\fR
drops an existing text search dictionary\&. To execute this command you must be the owner of the dictionary\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the text search dictionary does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of an existing text search dictionary\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects that depend on the text search dictionary, and in turn all objects that depend on those objects (see
Section\ \&5.14)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the text search dictionary if any objects depend on it\&. This is the default\&.
.RE
.SH "EXAMPLES"
.PP
Remove the text search dictionary
english:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP TEXT SEARCH DICTIONARY english;
.fi
.if n \{\
.RE
.\}
.sp
This command will not succeed if there are any existing text search configurations that use the dictionary\&. Add
CASCADE
to drop such configurations along with the dictionary\&.
.SH "COMPATIBILITY"
.PP
There is no
\fBDROP TEXT SEARCH DICTIONARY\fR
statement in the SQL standard\&.
.SH "SEE ALSO"
ALTER TEXT SEARCH DICTIONARY (\fBALTER_TEXT_SEARCH_DICTIONARY\fR(7)), CREATE TEXT SEARCH DICTIONARY (\fBCREATE_TEXT_SEARCH_DICTIONARY\fR(7))
